!
!  return preact "handles" for fusion codes.
!  caller can use handles to access preact calls; e.g. change policy
!  for out of rante table interpolation attempts
!
subroutine fusn_handle_DDp(ihandle)
 
  use hatom_mod
  implicit NONE
 
  integer, intent(out) :: ihandle   ! preact handle for this reaction
 
  !---------------
 
  if(hatom_flag.eq.0) call hatom_init
 
  ihandle=Lfs_DDp
end subroutine fusn_handle_DDp
 
subroutine fusn_handle_DDn(ihandle)
 
  use hatom_mod
  implicit NONE
 
  integer, intent(out) :: ihandle   ! preact handle for this reaction
 
  !---------------
 
  if(hatom_flag.eq.0) call hatom_init
 
  ihandle=Lfs_DDn
end subroutine fusn_handle_DDn
 
subroutine fusn_handle_DT(ihandle)
 
  use hatom_mod
  implicit NONE
 
  integer, intent(out) :: ihandle   ! preact handle for this reaction
 
  !---------------
 
  if(hatom_flag.eq.0) call hatom_init
 
  ihandle=Lfs_DT
end subroutine fusn_handle_DT
 
subroutine fusn_handle_TD(ihandle)
 
  use hatom_mod
  implicit NONE
 
  integer, intent(out) :: ihandle   ! preact handle for this reaction
 
  !---------------
 
  if(hatom_flag.eq.0) call hatom_init
 
  ihandle=Lfs_TD
end subroutine fusn_handle_TD
 
subroutine fusn_handle_TT(ihandle)
 
  use hatom_mod
  implicit NONE
 
  integer, intent(out) :: ihandle   ! preact handle for this reaction
 
  !---------------
 
  if(hatom_flag.eq.0) call hatom_init
 
  ihandle=Lfs_TT
end subroutine fusn_handle_TT
  
subroutine fusn_handle_dpcTT(ihandle)
 
  use hatom_mod
  implicit NONE
 
  integer, intent(out) :: ihandle   ! preact handle for this reaction
 
  !---------------
 
  if(hatom_flag.eq.0) call hatom_init
 
  ihandle=Lfs_dpcTT
end subroutine fusn_handle_dpcTT

subroutine fusn_handle_D3(ihandle)
 
  use hatom_mod
  implicit NONE
 
  integer, intent(out) :: ihandle   ! preact handle for this reaction
 
  !---------------
 
  if(hatom_flag.eq.0) call hatom_init
 
  ihandle=Lfs_D3
end subroutine fusn_handle_D3
 
subroutine fusn_handle_3D(ihandle)
 
  use hatom_mod
  implicit NONE
 
  integer, intent(out) :: ihandle   ! preact handle for this reaction
 
  !---------------
 
  if(hatom_flag.eq.0) call hatom_init
 
  ihandle=Lfs_3D
end subroutine fusn_handle_3D
 
subroutine fusn_handle_T3(ihandle)
 
  use hatom_mod
  implicit NONE
 
  integer, intent(out) :: ihandle   ! preact handle for this reaction
 
  !---------------
 
  if(hatom_flag.eq.0) call hatom_init
 
  ihandle=Lfs_T3
end subroutine fusn_handle_T3
 
subroutine fusn_handle_3T(ihandle)
 
  use hatom_mod
  implicit NONE
 
  integer, intent(out) :: ihandle   ! preact handle for this reaction
 
  !---------------
 
  if(hatom_flag.eq.0) call hatom_init
 
  ihandle=Lfs_3T
end subroutine fusn_handle_3T
